Okay
  Public Ticket #2309915
Error installing plugins recommendations for theme
Open

Comments

  • wmhurtado started the conversation

    Good evening, too many PHP Warnings:
    I am with the following problems:
    -------------------------------------------- PROBLEM 1 ---- --------------------------------
    When installing the "recommended" plug-ins, SLIDER REVOLUTION (plugin I need yes or yes), CUSTOM MENU WIZARD and THEME CUSTOMIZER cannot be installed. They should work with plugins that are sure they will work without problems. In this regard I opened a ticket on Sunday, February 24, 2020 at 9:29 PM and so far I have no answer. So I had to delete these plugins to continue working with the issue.

    I copy again the warnings that these plugins gave me:
    Ready plugins with problems:

    - SLIDER REVOLUTION: When installing the browser, it sends me the following message:
    PHP Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in C: \ inetpub \ wwwroot \ newilace \ wp-content \ plugins \ revslider \ includes \ operations.class.php on line 2758
    PHP Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in C: \ inetpub \ wwwroot \ newilace \ wp-content \ plugins \ revslider \ includes \ operations.class.php on line 2762
    PHP Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in C: \ inetpub \ wwwroot \ newilace \ wp-content \ plugins \ revslider \ includes \ output.class.php on line 3706

    - CUSTOM MENU WIZARD: The same error is generated when installing:
    PHP Warning: Declaration of Custom_Menu_Wizard_Walker :: walk ($ elements, $ max_depth) should be compatible with Walker :: walk ($ elements, $ max_depth, ... $ args) in C: \ inetpub \ wwwroot \ newilace \ wp-content \ plugins \ custom-menu-wizard \ include \ class.walker.php on line 55
    PHP Warning: Declaration of Custom_Menu_Wizard_Sorter :: walk ($ elements, $ max_depth = 0) should be compatible with Walker :: walk ($ elements, $ max_depth, ... $ args) in C: \ inetpub \ wwwroot \ newilace \ wp -content \ plugins \ custom-menu-wizard \ include \ class.sorter.php on line 60

    - THEME CUSTOMIZER: BASE PACKAGE: Unlike the previous ones this plugin if it finishes installing, but then when trying to access the menu of the plugins or the link to visit site throws the following message:
    PHP Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in C: \ inetpub \ wwwroot \ newilace \ wp-content \ plugins \ styles \ classes \ csstidy \ class.csstidy.php on line 854

    - STYLES: This happens when activating the plugin

    PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in C:\inetpub\wwwroot\newilace\wp-content\plugins\styles\classes\csstidy\class.csstidy.php on line 854

  • wmhurtado replied

    ----------------------------------------- PROBLEM 2 ------- --------------------------------
    After forgetting the installation of the three plugins mentioned in the previous point, I imported the demo theme from the Demo-Content.xml file and the following message appeared in many lines in the browser:

    PHP Warning: preg_match_all (): Compilation failed: invalid range in character class at offset 11 in C: \ inetpub \ wwwroot \ newilace \ wp-content \ plugins \ js_composer \ include \ autoload \ hook-vc-grid.php on line 162

  • wmhurtado replied

    ----------------------------------------- PROBLEM 3 ------- --------------------------------
    Working with the "Primary Menu" in the demo preview, when you click on the HOME item, instead of going to the link's landing page the following appears:

    PHP Warning: preg_match (): Compilation failed: invalid range in character class at offset 12 in C: \ inetpub \ wwwroot \ newilace \ wp-content \ plugins \ js_composer \ include \ classes \ shortcodes \ vc-basic-grid.php on line 177

  • wmhurtado replied

    ----------------------------------------- PROBLEM 4 ------- --------------------------------
    To add the WIDGETS according to the documentation, go to Tools> Widget Import / Export panel
    then I looked for the file "widgets.wie" and after clicking on the button IMPORT WIDGETS the error I show in the image below appears

    Attached files:  widgets_error para importar.PNG

  • wmhurtado replied

    ----------------------------------------- PROBLEM 5 ------- --------------------------------

    When you add the "HOME PAGE" page as a static page and review the preview, the following message appears:

    PHP Warning: preg_match (): Compilation failed: invalid range in character class at offset 12 in C: \ inetpub \ wwwroot \ newilace \ wp-content \ plugins \ js_composer \ include \ classes \ shortcodes \ vc-basic-grid.php on line 177

    Attached files:  paginaprincipalestatica_error.PNG